# Uses of Class
org.apache.avro.SchemaBuilder.BooleanBuilder

Packages that use SchemaBuilder.BooleanBuilder
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.BooleanBuilder in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.BooleanBuilder
Modifier and Type
Method
Description
`final SchemaBuilder.BooleanBuilder<SchemaBuilder.BooleanDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`booleanBuilder()`
Build a boolean type that can set custom properties.
`final SchemaBuilder.BooleanBuilder<R>`
SchemaBuilder.BaseTypeBuilder.`booleanBuilder()`
Build a boolean type that can set custom properties.
`SchemaBuilder.BooleanBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.BooleanDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`booleanBuilder()`
Build a boolean type that can set custom properties.
`protected SchemaBuilder.BooleanBuilder<R>`
SchemaBuilder.BooleanBuilder.`self()`